Mailinglist Archive: opensuse (3666 mails)

< Previous Next >
Enabling MySQL in Postfix
  • From: Lucky Leavell <susemisc@xxxxxxxxxxxxx>
  • Date: Fri, 18 Mar 2005 21:22:45 -0500 (EST)
  • Message-id: <Pine.LNX.4.61.0503182114140.25579@xxxxxxxxxxxxxxxxxxxx>
OS: SuSE 9.2 Pro
Postfix: 2.1.5
MySQL: 4.0.21
(All binaries from SuSE media, postfix source from SuSE FTP site)

Following instructions in the MYSQL_README, modifying the paths to point
to where the various mysql libraries go stashed by the YaST install, I
used the following make command:

make -f Makefile.init makefiles \
'CCARGS=-DHAS_MYSQL -I/usr/include/mysql' \
'AUXLIBS=-L/usr/lib/mysql -lmysqlclient -lz -lm'

which produced the following output:
make -f Makefile.in MAKELEVEL= Makefiles
set -e; for i in src/util src/global src/dns src/master src/postfix src/smtpstone src/sendmail src/error src/pickup src/cleanup src/smtpd src/local src/lmtp src/trivial-rewrite src/qmgr src/oqmgr src/smtp src/bounce src/pipe src/showq src/postalias src/postcat src/postconf src/postdrop src/postkick src/postlock src/postlog src/postmap src/postqueue src/postsuper src/qmqpd src/spawn src/flush src/verify src/virtual src/proxymap; do \
(set -e; echo "[$i]"; cd $i; rm -f Makefile; \
make -f Makefile.in Makefile MAKELEVEL=) || exit 1; \
done;
[src/util]
(set -e; echo "# DO NOT EDIT"; /bin/sh ../../makedefs && cat Makefile.in) >Makefile
make -f Makefile.in MAKELEVEL= Makefiles
set -e; for i in src/util src/global src/dns src/master src/postfix src/smtpstone src/sendmail src/error src/pickup src/cleanup src/smtpd src/local src/lmtp src/trivial-rewrite src/qmgr src/oqmgr src/smtp src/bounce src/pipe src/showq src/postalias src/postcat src/postconf src/postdrop src/postkick src/postlock src/postlog src/postmap src/postqueue src/postsuper src/qmqpd src/spawn src/flush src/verify src/virtual src/proxymap; do \
(set -e; echo "[$i]"; cd $i; rm -f Makefile; \
make -f Makefile.in Makefile MAKELEVEL=) || exit 1; \
done;
[src/util]
(set -e; echo "# DO NOT EDIT"; /bin/sh ../../makedefs && cat Makefile.in) >Makefile
No <db.h> include file found.
Install the appropriate db*-devel package first.
See the RELEASE_NOTES file for more information.
make: *** [Makefile] Error 1
make: *** [Makefiles] Error 1
make: *** [makefiles] Error 2

I do have mysql-devel v4.0.21 installed BUT the only db.h file I find is

/usr/include/htdig_db/db.h

What am I missing? Am I going to have to go through the same thing to
enable SASL authentication?

Thank you,
Lucky Leavell

< Previous Next >